Table of Contents

Class: ProjectSourcesBrowser | eric3/Project/ProjectBrowser.py
--- | ---

### A class used to display the Sources part of the project.

Via the context menu that is displayed by a right click the user can select various actions on the selected file.

#### Signals

closeSourceWindow(string)
  emitted after a file has been removed/deleted from the project

Base Classes |
--- | ---

PBrowser

Browser

Methods |
--- | ---

__init__ createPopupMenus getOpenChildren handleCodeCoverage handleCodeMetrics handleDelete handleEditorSaved handlePopupMenu | handleProfileData handleProjectSourceAdded handleRemove handleShowShowMenu handleSyntaxCheck handleTabnanny setOpenChildren

| __init__

    __init__ (
            self,
            project,
            parent=None,
            )

### Constructor

#### Arguments

project
  reference to the project object
parent
  parent widget of this browser (QWidget)

| createPopupMenus

    createPopupMenus ( self )

Private overloaded method to generate the popup menu.

| getOpenChildren

    getOpenChildren ( self,  itm )

### Private method to get a list of open siblings of QListViewItem itm.

#### Returns

list of open siblings

| handleCodeCoverage

    handleCodeCoverage ( self )

Private method to handle the code coverage context menu action.

| handleCodeMetrics

    handleCodeMetrics ( self )

Private method to handle the code metrics context menu action.

| handleDelete

    handleDelete ( self )

Private method to delete a file from the project.

| handleEditorSaved

    handleEditorSaved ( self,  fn )

### Public slot to handle the editorSaved signal.

#### Arguments

fn
  filename of the file that was saved

| handlePopupMenu

    handlePopupMenu ( self )

Private slot called by the pyMenu aboutToShow signal.

| handleProfileData

    handleProfileData ( self )

Private method to handle the show profile data context menu action.

| handleProjectSourceAdded

    handleProjectSourceAdded ( self,  fn )

### Private slot to handle the projectSourceAdded signal.

#### Arguments

fn
  filename of the file that was added (string)

| handleRemove

    handleRemove ( self )

Private method to remove a file from the project.

| handleShowShowMenu

    handleShowShowMenu ( self )

Private slot called before the show menu is shown.

| handleSyntaxCheck

    handleSyntaxCheck ( self )

Private method to handle the syntax check context menu action.

| handleTabnanny

    handleTabnanny ( self )

Private method to handle the tabnanny context menu action.

| setOpenChildren

    setOpenChildren (
            self,
            itm,
            childstring,
            )

### Private method to find a child of a node and open it.

#### Arguments

itm
  the node to check
childstring
  displaytext to search for (QString)

#### Returns

flag indicating success

Table of Contents

This document was automatically generated by HappyDoc version 2.1